Summary:    The KDE Bluetooth Framework
Name:       kbluetooth
Version:    0.4.1
Release:    1%{?dist}
License:    GPLv2+
Group:      Applications/Communications
URL:        http://techbase.kde.org/Kbluetooth
Source0:    112110-kbluetooth-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
BuildRequires: kdebase-workspace-devel >= 4.2
BuildRequires: kdelibs-experimental-devel
BuildRequires: soprano-devel
BuildRequires: gettext
# Depend on and track solid-bluetooth backport
BuildRequires: solid-bluetooth-devel >= 4.3
Requires: solid-bluetooth >= 4.3
Requires: openobex
Requires: obexftp
Requires: obex-data-server

# Remove this by F-14, needed for kdebluetoooth -> kbluetooth rename
Obsoletes: kdebluetooth < 1:0.3-6
Provides:  kdebluetooth = 1:%{version}-%{release}

# Remove this by F-14
Obsoletes: kdebluetooth-libs < 1:0.2
Obsoletes: kdebluetooth-devel < 1:0.2

# Virtual provide for BlueZ
Provides:  dbus-bluez-pin-helper

%description
The KDE Bluetooth Framework is a set of tools built on top of Linux'
Bluetooth (Bluez) stack. The goal is to provide easy access to the most
common Bluetooth profiles and to make data exchange with Bluetooth
enabled devices as straightforward as possible.


%prep
%setup -n kbluetooth-%{version} -q


%build
%cmake_kde4
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot}

desktop-file-install \
  --mode=644 \
  --vendor="" \
  --dir=%{buildroot}%{_datadir}/applications/kde4 \
  --remove-category="Network" \
  --add-category="System" \
  --delete-original \
  %{buildroot}%{_datadir}/applications/kde4/kbluetooth.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2> /dev/null ||:


%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/kbluetooth
%{_bindir}/kbluetooth-devicemanager
%{_bindir}/kbluetooth-inputwizard
%{_datadir}/applications/kde4/kbluetooth.desktop
%{_datadir}/icons/hicolor/*/apps/kbluetooth*.*


%changelog
* Wed Feb 10 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.4.1-1
- Release update - fixes crash after receiving file (kde#225924)

* Tue Feb 09 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.4-2
- Build requires gettext package

* Tue Feb 09 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.4-1
- Update to final 0.4 release

* Tue Nov 24 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.4-0.3.20091114svn1049042
- Rebuild for Qt 4.6.0 RC1 in F13 (was built against Beta 1 with unstable ABI)

* Sat Nov 14 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.4-0.2.20091114svn1049042
- Fix Source0
- Add missing BRs
- I like macros

* Sat Nov 14 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.4-0.1.20091114svn1049042
- Development snapshot

* Tue Nov 10 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.3-6
- Rename package kdebluetoooth -> kbluetooth

* Tue Nov 10 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.3-5
- Fix bug number: 521680

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 09 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1:0.3-3
- Provides: dbus-bluez-pin-helper (so bluez doesn't drag in gnome-bluetooth)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Ville Skyttä <ville.skytta at iki.fi> - 0.3-1
- 0.3 (#481802).
- http://sourceforge.net/project/shownotes.php?group_id=89888&release_id=654566
- (Build)Requires: solid-bluetooth(-devel) >= 4.3
